> ## Documentation Index
> Fetch the complete documentation index at: https://developer.transactbridge.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Pause Subscription

> This API is used to pause an **`ACTIVE`** subscription. This API updates the status of the subscription to **`PAUSED`**. Paused subscriptions do not incur billing and the invoice will be created according to a **`prorate`** basis at the end of the cycle. Once **`PAUSED`**, a subscription can be **`UNPAUSED`** to reinstate the billing. If the subscription is marked **`PAUSED`** and then **`UNPAUSED`** again in the same billing cycle, it would not be considered **`PAUSED`** at all and the billing cycle will be considered to be used fully.

To test the pause flow, partner can use **`pausedDate`** parameter in non-production environment. The value of **`pausedDate`** is a future date at which the subscription will be considered to be paused. This will help to check the adjustment credits and other payment flow.



## OpenAPI

````yaml /api-reference/subscriptions/subs.json post /subscription/v1.0/pauseSubscription
openapi: 3.0.3
info:
  title: Subscription API
  description: API for creating and managing subscription sessions and payments.
  version: 1.0.0
servers:
  - url: https://sandbox-api.transactbridge.com
    description: Sandbox Environment
  - url: https://api.transactbridge.com
    description: Production Environment
security:
  - ApiKeyAuth: []
    SignatureAuth: []
paths:
  /subscription/v1.0/pauseSubscription:
    post:
      tags:
        - Subscription
      summary: Pause Subscription
      description: >-
        This API is used to pause an **`ACTIVE`** subscription. This API updates
        the status of the subscription to **`PAUSED`**. Paused subscriptions do
        not incur billing and the invoice will be created according to a
        **`prorate`** basis at the end of the cycle. Once **`PAUSED`**, a
        subscription can be **`UNPAUSED`** to reinstate the billing. If the
        subscription is marked **`PAUSED`** and then **`UNPAUSED`** again in the
        same billing cycle, it would not be considered **`PAUSED`** at all and
        the billing cycle will be considered to be used fully.


        To test the pause flow, partner can use **`pausedDate`** parameter in
        non-production environment. The value of **`pausedDate`** is a future
        date at which the subscription will be considered to be paused. This
        will help to check the adjustment credits and other payment flow.
      operationId: pauseSubscription
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                subscriptionId:
                  type: string
                  format: MongoId
                  description: >-
                    Subscription Id of the subscription for which update is
                    needed.
                referenceId:
                  type: string
                  format: referenceId
                  description: >-
                    Subscription referenceId that was passed during the creation
                    of the subscription.
              anyOf:
                - required:
                    - subscriptionId
                - required:
                    - referenceId
      responses:
        '200':
          description: Pause subscription.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/pauseSubscription'
components:
  schemas:
    pauseSubscription:
      type: object
      properties:
        status:
          type: string
          description: The response from the API
        sub_status:
          type: string
          description: Used for internal purposes only
        data:
          type: object
          description: Contains the updated subscription details.
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: x-api-key
      description: Merchant API Key
    SignatureAuth:
      type: apiKey
      in: header
      name: x-signature
      description: Generated request signature

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.